gtkmm: Glib::Value<::Cairo::RefPtr<::Cairo::Surface > > Class Template Reference

gtkmm 3.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value<::Cairo::RefPtr<::Cairo::Surface > > Class Template Reference

Specialization of Glib::Value<> for Cairo::RefPtr<Cairo::Surface>. More...

`#include <gtkmm/cellrendererpixbuf.h>`

Inheritance diagram for Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >:
[legend]

## Public Types
using | T = ::Cairo::Surface
using | CppType = ::Cairo::RefPtr< T >
using | CType = T::cobject

## Public Member Functions
void | set (const CppType& data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| ValueBase (const ValueBase &other)
ValueBase & | operator= (const ValueBase &other)
| ~ValueBase () noexcept
void | init (GType type)
void | init (const GValue *value)
void | reset ()
GValue * | gobj ()
const GValue * | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void *data)
void * | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >

Specialization of Glib::Value<> for Cairo::RefPtr<Cairo::Surface>.

Needed for Gtk::CellRendererPixbuf::property_surface().

## Member Typedef Documentation

using Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >::CppType = ::Cairo::RefPtr<T>

using Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >::CType = T::cobject

using Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >::T = ::Cairo::Surface

## Member Function Documentation

CppType Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >::get | ( |  | ) | const
| inline

void Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >::set | ( | const CppType& | data | ) |
| inline

static GType Glib::Value<::Cairo::RefPtr<::Cairo::Surface > >::value_type | ( |  | ) |
| inlinestatic